org.apache.solr.highlight

## Class PostingsSolrHighlighter.SolrExtendedPostingsHighlighter

- java.lang.Object
- - org.apache.lucene.search.postingshighlight.PostingsHighlighter
  - - org.apache.solr.highlight.PostingsSolrHighlighter.SolrExtendedPostingsHighlighter

- Enclosing class:
    PostingsSolrHighlighter

      public class PostingsSolrHighlighter.SolrExtendedPostingsHighlighter
      extends PostingsHighlighter

  From `PostingsSolrHighlighter.getHighlighter(org.apache.solr.request.SolrQueryRequest)`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SolrParams` | `params`
    `protected IndexSchema` | `schema`

    - ### Fields inherited from class org.apache.lucene.search.postingshighlight.PostingsHighlighter

      `DEFAULT_MAX_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrExtendedPostingsHighlighter(SolrQueryRequest req)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BreakIterator` | `getBreakIterator(String field)`
    `protected Passage[]` | `getEmptyHighlight(String fieldName, BreakIterator bi, int maxPassages)`
    `protected PassageFormatter` | `getFormatter(String fieldName)`
    `protected Analyzer` | `getIndexAnalyzer(String field)`
    `protected char` | `getMultiValuedSeparator(String field)`
    `protected PassageScorer` | `getScorer(String fieldName)`

    - ### Methods inherited from class org.apache.lucene.search.postingshighlight.PostingsHighlighter

      `highlight, highlight, highlightFields, highlightFields, highlightFields, highlightFieldsAsObjects, loadFieldValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### params

          protected final SolrParams params

    - #### schema

          protected final IndexSchema schema

  - ### Constructor Detail

    - #### SolrExtendedPostingsHighlighter

          public SolrExtendedPostingsHighlighter(SolrQueryRequest req)

  - ### Method Detail

    - #### getEmptyHighlight

          protected Passage[] getEmptyHighlight(String fieldName,
                                                BreakIterator bi,
                                                int maxPassages)

      Overrides:
        `getEmptyHighlight` in class `PostingsHighlighter`

    - #### getFormatter

          protected PassageFormatter getFormatter(String fieldName)

      Overrides:
        `getFormatter` in class `PostingsHighlighter`

    - #### getScorer

          protected PassageScorer getScorer(String fieldName)

      Overrides:
        `getScorer` in class `PostingsHighlighter`

    - #### getBreakIterator

          protected BreakIterator getBreakIterator(String field)

      Overrides:
        `getBreakIterator` in class `PostingsHighlighter`

    - #### getMultiValuedSeparator

          protected char getMultiValuedSeparator(String field)

      Overrides:
        `getMultiValuedSeparator` in class `PostingsHighlighter`

    - #### getIndexAnalyzer

          protected Analyzer getIndexAnalyzer(String field)

      Overrides:
        `getIndexAnalyzer` in class `PostingsHighlighter`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.